if [ -f public_html/package.tar.gz ]; then
  if [ ! -f ./wp ]; then
    echo 'Downloading WPCLI...'
    curl -O https://raw.githubusercontent.com/wp-cli/builds/gh-pages/phar/wp-cli.phar
    mv wp-cli.phar wp
    chmod +x wp
  fi

  cd ~/public_html
  if ! $(~/wp core is-installed); then
    echo 'WordPress Installation not found in public_html. Exiting...'
    exit 0
  fi

  echo 'Extracting package...'
  tar -xf package.tar.gz
  rm -rif wp-content/plugins wp-content/uploads
  mv build/plugins build/uploads wp-content

  if [ ! -f wp-content/themes/theme ]; then
    echo 'Cleaning up old theme...'
    rm -rif wp-content/themes/theme
  fi

  mv build/theme wp-content/themes
  echo 'Importing Database...'
  ~/wp db import build/dump.sql
  echo 'Updating URLs...'
  ~/wp search-replace "http://192.168.99.100" "http://$1"
  echo 'Cleaning up...'
  rm -rif build
  echo "Deployed to $1"
else
  echo 'No package found. Please upload one.'
  exit 1
fi
