#!/bin/bash
echo 'Packaging up your install...'
mkdir build
echo 'Copying wp-content directory...'
rsync -r wp-content/uploads wp-content/plugins wp-content/themes/theme build
echo 'Exporting Database...'
wp db export build/dump.sql --allow-root
echo 'Removing node_modules from build...'
rm -rif /var/www/html/build/theme/node_modules
echo 'Removing old package from build...'
rm -rif /var/www/html/build/theme/package.tar.gz
echo 'Compressing build...'
tar -zcvf package.tar.gz build
echo 'Cleaning up...'
rm -rif build/
mv package.tar.gz wp-content/themes/theme
echo 'Built package.tar.gz!'
